### Method

# Gio SocketControlMessage serialize

since: 2.22

#### Declaration

    void
    g_socket_control_message_serialize (
      GSocketControlMessage* message,
      gpointer data
    )

#### Description

Converts the data in the message to bytes placed in the message.

`data` is guaranteed to have enough space to fit the size returned by `g_socket_control_message_get_size()` on this object.

Available since: 2.22

#### Parameters

`data`

  Type: `gpointer`

  A buffer to write data to.

  The data is owned by the caller of the method.